com.google.gwt.layout.client

## Interface Layout.AnimationCallback

Enclosing class:
  Layout

    public static interface Layout.AnimationCallback

Callback interface used by `Layout.layout(int, AnimationCallback)` to provide updates on animation progress.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onAnimationComplete()` Called immediately after the animation is complete, and the entire layout is in its final state.
`void` `onLayout(Layout.Layer layer, double progress)` Called at each step of the animation, for each layer being laid out.

### Method Detail

#### onAnimationComplete

    void onAnimationComplete()

Called immediately after the animation is complete, and the entire layout is in its final state.

#### onLayout

    void onLayout(Layout.Layer layer,
                  double progress)

Called at each step of the animation, for each layer being laid out.

Parameters:
  `layer` - the layer being laid out